Subject: Re: Running multiple concurrent TCP stacks

From: Stephen Hemminger <[email-masked]>
Date: Wed, 23 May 2007 15:22:51 -0700

On Wed, 23 May 2007 16:59:02 -0500
"Tony Petz" <[email-masked]> wrote:

> I'm working on a research project that requires two simultaneously
> running but independent TCP implementations.  Searching the archives I
> was only able to come up with this:
> http://www.spinics.net/lists/linux-net/msg09064.html
> 
> I was wondering if anyone had any insight into the problem, or knew of
> a good place to start looking at how to load two copies of TCP stack,
> probably bound to two different interfaces for simplicity.
> 
> Any advice appreciated...
> -tony

Do it in UML or other virtualization environment